clan::DisplayCache Class Reference - ClanLib SDK
Description: clan::DisplayCache Class Reference

Public Member Functions | Static Public Member Functions | List of all members
clan::DisplayCache Class Referenceabstract
clanDisplay Resources

`#include <display_cache.h>`

## Public Member Functions
virtual | ~DisplayCache ()
virtual Resource< Font > | get_font (Canvas &canvas, const std::string &family_name, const FontDescription &desc)=0
virtual Resource< Image > | get_image (Canvas &canvas, const std::string &id)=0
virtual Resource< Sprite > | get_sprite (Canvas &canvas, const std::string &id)=0
virtual Resource< Texture > | get_texture (GraphicContext &gc, const std::string &id)=0

## Static Public Member Functions
static DisplayCache & | get (const ResourceManager &resources)
static void | set (ResourceManager &resources, const std::shared_ptr< DisplayCache > &cache)

## Constructor & Destructor Documentation

## ◆ ~DisplayCache()

virtual clan::DisplayCache::~DisplayCache | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ get()

DisplayCache & clan::DisplayCache::get | ( | const ResourceManager & | resources | ) |
| static

## ◆ get_font()

virtual Resource< Font > clan::DisplayCache::get_font | ( | Canvas & | canvas,
|  | const std::string & | family_name,
|  | const FontDescription & | desc )
| pure virtual

## ◆ get_image()

virtual Resource< Image > clan::DisplayCache::get_image | ( | Canvas & | canvas,
|  | const std::string & | id )
| pure virtual

## ◆ get_sprite()

virtual Resource< Sprite > clan::DisplayCache::get_sprite | ( | Canvas & | canvas,
|  | const std::string & | id )
| pure virtual

## ◆ get_texture()

virtual Resource< Texture > clan::DisplayCache::get_texture | ( | GraphicContext & | gc,
|  | const std::string & | id )
| pure virtual

## ◆ set()

void clan::DisplayCache::set | ( | ResourceManager & | resources,
|  | const std::shared_ptr< DisplayCache > & | cache )
| static

The documentation for this class was generated from the following file:

- display_cache.h